%define module X-Osd
%define	version	0.7
%define release	%mkrel 7

Summary:  	Perl5 modules for xosd
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://search.cpan.org/CPAN/authors/id/G/GO/GOZER/%{module}-%{version}.tar.bz2
Requires:	perl 
BuildRequires:	xosd-devel, perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl extension to the X On Screen Display library (xosd)

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
%makeinstall_std 

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 0.7-7
- Rebuild

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.7-6mdk
- Fixing source path

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.7-5mdk
- Cleaning spec

* Mon Dec 19 2005 Erwan Velu <erwan@seanodes.com> 0.7-4mdk
- Rebuild

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.7-3mdk 
- rebuild for new perl
- fix spec name

* Tue Jun 22 2004 Michael Scherer <misc@mandrake.org> 0.7-2mdk 
- remove Requires on xosd, who turn out to pull xmms-xosd.

* Thu May 05 2004 Erwan Velu <erwan@mandrakesoft.com> 0.7-1mdk
- 0.7 (8 months in late :/)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- rebuild for new auto{prov,req}

* Mon Apr 28 2003  <erwan@no.mandrakesoft.com> 0.5-2mdk
- Fixing BuildRequires (Thx to Stefan van der Eijk)

* Wed Apr  2 2003  <erwan@mandrakesoft.com> 0.5-1mdk
- first release for Mandrakesoft
